<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.dmp.version.dao.ObjectTypeHistoryMapper">
    <insert id="copyByVersion">
        insert into rwd_object_type_his(id,group_code,obj_type,name,alias_code,alias_name,
            type,project_id,major_code,system_code,equipment_code,parent_code,is_used,version,operator,operator_level)
        select id,group_code,obj_type,name,alias_code,alias_name,type,project_id,major_code,system_code,
            equipment_code,parent_code,is_used,#{version},null,null
        from rwd_object_type_his
        where version = #{srcVersion}
    </insert>
</mapper>
